Bug 326212 - Editing split memo when there is only one split does not update the record memo
Summary: Editing split memo when there is only one split does not update the record memo
Status: RESOLVED FIXED
Alias: None
Product: kmymoney
Classification: Unclassified
Component: general (show other bugs)
Version: 4.6.4
Platform: Gentoo Packages Linux
: NOR normal with 1 vote (vote)
Target Milestone: ---
Assignee: KMyMoney Devel Mailing List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-10-18 16:28 UTC by ari edelkind
Modified: 2020-01-19 09:43 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 5.0.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description ari edelkind 2013-10-18 16:28:58 UTC
If there is only one split in the split editor, any edits to the memo field are lost when the changes are accepted.

This can be important because Paypal lists all of its records as a split transaction: one for cost and one for fees.  In the split editor, If the fee is zero, the split is irrelevant, and one may use the "Clear Zero" option.  This leaves only one entry in the split editor.  If a memo has been added to the single remaining split before leaving the split editor, it does not update the record memo, but rather it is completely lost.

Reproducible: Always

Steps to Reproduce:
1. Open the split editor for any non-split transaction.
2. Edit the memo field in the split editor for the sole transaction in the list.
3. Save.

Actual Results:  
The memo field has not been updated, and that the memo has been lost.

Expected Results:  
The memo field is updated.
Comment 1 Cristian Oneț 2014-07-31 09:28:44 UTC
I confirm this.
Comment 2 Jack 2020-01-19 00:39:30 UTC
This is still present with 5.0 git head.  Oddly, it seems the memo IS saved in the split, but if I then open the split editor again, I am asked if I want to repalace memo "memo in spli" with memo "" in the other split.  If I say No, the memo in the split remains.  If I say Yes, it is cleared.  In neither case does it move that split memo to the main transaction memo, which might actually be reasonable, if there is only one split.
Comment 3 Thomas Baumgart 2020-01-19 09:43:12 UTC
Git commit ab2224b204584c8f0823ed23368144b482366598 by Thomas Baumgart.
Committed on 19/01/2020 at 09:38.
Pushed by tbaumgart into branch '5.0'.

Update memo in non-split transaction when changed in split editor

The memo of a non-split transaction was not updated when it was modified
inside the split editor.

This change will keep the two locations in sync in this scenario.
FIXED-IN: 5.0.8

M  +9    -1    kmymoney/dialogs/stdtransactioneditor.cpp

https://commits.kde.org/kmymoney/ab2224b204584c8f0823ed23368144b482366598